## r-cran-lambda.r 1.1.7

=== DESCRIPTION ===
Package: lambda.r
Type: Package
Title: Modeling Data with Functional Programming
Version: 1.1.7
Date: 2015-03-19
Depends: R (>= 3.0.0)
Suggests: RUnit
Author: Brian Lee Yung Rowe
Maintainer: Brian Lee Yung Rowe <r@zatonovo.com>
Description: A language extension to efficiently write functional programs in R. Syntax extensions include multi-part function definitions, pattern matching, guard statements, built-in (optional) type safety.
License: LGPL-3
LazyLoad: yes
Packaged: 2015-03-20 00:09:00 UTC; brian
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-20 07:03:24

=== debian/changelog ===
r-cran-lambda.r (1.1.7-2) unstable; urgency=medium

  * Package is arch all not any
  * debian/copyright:
     - fix cut-n-pasto
     - add location where the license is mentioned at ftpmaster request

 -- Andreas Tille <tille@debian.org>  Thu, 28 May 2015 16:27:42 +0200

r-cran-lambda.r (1.1.7-1) unstable; urgency=medium

  * Initial upload (Closes: #784887)

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 08:52:18 +0200

=== debian/control ===
Source: r-cran-lambda.r
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               cdbs
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-lambda.r/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-lambda.r/
Homepage: http://cran.r-project.org/web/packages/lambda.r

Package: r-cran-lambda.r
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: GNU R modeling data with functional programming
 This GNU R package provides a language extension to efficiently write
 functional programs in R. Syntax extensions include multi-part function
 definitions, pattern matching, guard statements, built-in (optional)
 type safety.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/lambda.r_([\d.-]*)\.tar.gz

## r-cran-lambda.r 1.1.9

=== debian/changelog ===
r-cran-lambda.r (1.1.9-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2016 15:17:58 +0100

r-cran-lambda.r (1.1.7-3) unstable; urgency=medium

  * Fix autopkgtest
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 11:40:24 +0200

=== debian/control ===
Source: r-cran-lambda.r
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-lambda.r/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-lambda.r/
Homepage: https://cran.r-project.org/package=lambda.r

Package: r-cran-lambda.r
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R modeling data with functional programming
 This GNU R package provides a language extension to efficiently write
 functional programs in R. Syntax extensions include multi-part function
 definitions, pattern matching, guard statements, built-in (optional)
 type safety.

## r-cran-lambda.r 1.2

=== DESCRIPTION ===
Package: lambda.r
Type: Package
Title: Modeling Data with Functional Programming
Version: 1.2
Date: 2017-09-12
Depends: R (>= 3.0.0)
Suggests: RUnit
Author: Brian Lee Yung Rowe
Maintainer: Brian Lee Yung Rowe <r@zatonovo.com>
Description: A language extension to efficiently write functional programs in R. Syntax extensions include multi-part function definitions, pattern matching, guard statements, built-in (optional) type safety.
License: LGPL-3
LazyLoad: yes
NeedsCompilation: no
Packaged: 2017-09-16 17:33:39 UTC; brian
Repository: CRAN
Date/Publication: 2017-09-16 18:51:43 UTC

=== debian/changelog ===
r-cran-lambda.r (1.2-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0 (No changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Sep 2017 23:16:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 10),
                r-base-dev,
                dh-r
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-lambda.r/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-lambda.r/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-lambda.r.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-lambda.r.git
 Homepage: https://cran.r-project.org/package=lambda.r
 
 Package: r-cran-lambda.r

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/lambda.r_([\d.-]*)\.tar.gz

## r-cran-lambda.r 1.2.3

=== debian/changelog ===
r-cran-lambda.r (1.2.3-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 10:36:49 +0200

r-cran-lambda.r (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>

 -- Andreas Tille <tille@debian.org>  Sat, 19 May 2018 09:12:23 +0200

r-cran-lambda.r (1.2.2-2) unstable; urgency=medium

  * Add r-cran-testit to test Depends
    Closes: #896874

 -- Andreas Tille <tille@debian.org>  Wed, 25 Apr 2018 13:56:52 +0200

r-cran-lambda.r (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Secure URI in watch file
  * Adapt autopkgtest to new upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2018 09:55:21 +0200

=== debian/control ===
Source: r-cran-lambda.r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-formatr
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lambda.r
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lambda.r.git
Homepage: https://cran.r-project.org/package=lambda.r

Package: r-cran-lambda.r
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R modeling data with functional programming
 This GNU R package provides a language extension to efficiently write
 functional programs in R. Syntax extensions include multi-part function
 definitions, pattern matching, guard statements, built-in (optional)
 type safety.

## r-cran-lambda.r 1.2.4

=== DESCRIPTION ===
Package: lambda.r
Type: Package
Title: Modeling Data with Functional Programming
Version: 1.2.4
Date: 2019-09-15
Depends: R (>= 3.0.0)
Imports: formatR
Suggests: testit
Author: Brian Lee Yung Rowe
Maintainer: Brian Lee Yung Rowe <r@zatonovo.com>
Description: A language extension to efficiently write functional programs in R. Syntax extensions include multi-part function definitions, pattern matching, guard statements, built-in (optional) type safety.
License: LGPL-3
LazyLoad: yes
NeedsCompilation: no
Packaged: 2019-09-15 08:08:15 UTC; brian
Repository: CRAN
Date/Publication: 2019-09-18 14:30:02 UTC

=== debian/changelog ===
r-cran-lambda.r (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2019 13:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-formatr
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lambda.r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lambda.r.git
 Homepage: https://cran.r-project.org/package=lambda.r

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/lambda.r_([\d.-]*)\.tar.gz
